/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.helper;

import java.util.concurrent.TimeUnit;

/**
 * redis缓存服务器所有接口方法
 *
 * @author Administrator
 */
public interface RedisHelperI {

    /*
    *删除带前缀的批量缓存
    *tagkey 缓存前缀
    *如省份缓存 province:10，前缀为province
     */
    void delRedisByTagKey(String tagkey);

    /*
     *删除缓存值
     */
    void deleteRedis(String key);

    /*
     *删除当前缓存数据库所有的key
     */
    void deleteDBRedis();

    /*
     *获取缓存值
     */
    String getRedis(String key);

    /*
     *设置缓存(有效时间默认为1天)
     */
    void setRedis(String key, String value);

    /*设置自定义时效缓存
     *key 缓存名称，value缓存值（string）,time(保存时间),unit(时间类型)
     */
    void setRedis(String key, String value, int time, TimeUnit unit);

    /*
     *设置按天时效缓存
     */
    void setRedisToDAYS(String key, String value);

    /*
     *设置按时时效缓存
     */
    void setRedisToHOURS(String key, String value);

    /*
     *设置按分时效缓存
     */
    void setRedisToMINUTES(String key, String value);

    /*
     *设置按秒时效缓存
     */
    void setRedisToSECONDS(String key, String value);
}
